#include <Windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ssa.h" 


#define SSA_EXAMPLE_INSTR_RES_ADDR     "TCPIP0::10.12.255.138::inst0::INSTR" 
#define SSA_EXAMPLE_INIT_OPTION        "Simulate=0,RangeCheck=0,QueryInstrStatus=0,Cache=1"  
#define BUFFER_SIZE 512L

static ViSession session;
static ViStatus status;

typedef ViStatus _VI_FUNC (*setAttr)(ViSession vi,
                                 ViConstString channelName,
                                 ViAttr attribute, ViReal64 value);
typedef ViStatus _VI_FUNC (*getAttr)(ViSession vi,
                                  ViConstString channelName,
                                  ViAttr attribute,ViReal64 *value);
typedef ViStatus _VI_FUNC (*ssaInit)(ViRsrc resourceName,
                                 ViBoolean IDQuery,ViBoolean resetDevice,
                                 ViConstString optionString,ViSession *newVi);
void main(int argc, char *argv[])
{   
    HINSTANCE hDLL = LoadLibrary("ssa.dll");    //ʽDLLļ
	
    ssaInit ssa_InitWithOptions = (ssaInit)GetProcAddress(hDLL,"ssa_InitWithOptions");
    setAttr ssa_SetAttributeViReal64 = (setAttr)GetProcAddress(hDLL,"ssa_SetAttributeViReal64");
    getAttr ssa_GetAttributeViReal64 = (getAttr)GetProcAddress(hDLL,"ssa_GetAttributeViReal64");
	
	
    ViReal64  value64=0.0;
	
	status = ssa_InitWithOptions(SSA_EXAMPLE_INSTR_RES_ADDR, VI_TRUE, VI_FALSE,SSA_EXAMPLE_INIT_OPTION, &session); 
        
    ssa_SetAttributeViReal64(session, VI_NULL, SSA_ATTR_CENTER_FREQUENCY, 2000000);
    ssa_GetAttributeViReal64(session, VI_NULL, SSA_ATTR_CENTER_FREQUENCY, &value64);
    printf("CENTER_FREQUENCY = %lf\n",value64);

    FreeLibrary(hDLL);
	
    system("cmd /C pause");
}	 
